%define upstream_name Crypt-DES
%define upstream_version 2.07

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 15
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl DES encryption module
Source0:	https://cpan.metacpan.org/authors/id/D/DP/DPARIS/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}
BuildRequires:	perl-devel


Patch0:		Crypt-DES-2.07-implicit-func-decl.patch

%{?perl_default_filter}

%description
The module implements the Crypt::CBC interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1


%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README COPYRIGHT
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/man3/*


%changelog
* Fri Aug 23 2024 neoclust <neoclust> 2.70.0-15.mga10
+ Revision: 2088532
- Add patch from gentoo to fix build
- Rebuild against new perl
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 2.70.0-13.mga10
+ Revision: 2011414
- Rebuild for perl-5.38

* Tue Nov 28 2023 tv <tv> 2.70.0-12.mga10
+ Revision: 2010599
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 2.70.0-11.mga9
+ Revision: 1861624
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.70.0-10.mga9
+ Revision: 1795596
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.70.0-9.mga9
+ Revision: 1726463
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 2.70.0-8.mga8
+ Revision: 1594370
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.70.0-7.mga8
+ Revision: 1528986
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 2.70.0-6.mga8
+ Revision: 1432805
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.70.0-5.mga7
+ Revision: 1292546
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 2.70.0-4.mga7
+ Revision: 1248030
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2.70.0-3.mga7
+ Revision: 1163596
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.70.0-2.mga7
+ Revision: 1148699
- Rebuild for perl ABI changes

* Mon Jul 31 2017 sander85 <sander85> 2.70.0-1.mga7
+ Revision: 1133271
- Use %%perl_convert_version

* Sat Jul 22 2017 neoclust <neoclust> 2.07-11.mga7
+ Revision: 1126644
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 2.07-10.mga6
+ Revision: 1024510
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.07-9.mga6
+ Revision: 956924
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.07-8.mga6
+ Revision: 844755
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 2.07-7.mga6
+ Revision: 840670
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 2.07-6.mga5
+ Revision: 740733
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.07-5.mga5
+ Revision: 732998
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.07-4.mga5
+ Revision: 684034
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.07-3.mga5
+ Revision: 630952
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.07-2.mga4
+ Revision: 531908
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 2.07-1.mga4
+ Revision: 465689
- update to 2.07

* Wed May 29 2013 jquelin <jquelin> 2.05_002-15.mga4
+ Revision: 431460
- update to 2.05_002
- perl 5.18.0 rebuild
+ tv <tv>
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.05-13.mga3
+ Revision: 364833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.05-12.mga3
+ Revision: 250390
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.05-11.mga2
+ Revision: 103789
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 2.05-10.mga1
+ Revision: 29664
- mageia rebuild
- imported package perl-Crypt-DES

